#ifndef __MAMIFEROEXOTICO_H__
#define __MAMIFEROEXOTICO_H__
#include "mamifero.h"
#include "animalexotico.h"


/* @brief Classe MamiferoExotico, que modela um  Mamifero do tipo Exotico, que toma Mamifero e AnimalExotico
*				  como classes pai a herdar seus atributos
* @param 	Métodos públicos:
*					friend std::istream& operator>> (std::istream &input, MamiferoExotico &mamexo); - sobrecarga do metodo de extração
*					void print() - impressao das informações
*					MamiferoExotico - Construtor cria um animal do tipo AnfíbioExotico
*					~MamiferoExotico() - destrutor de MamiferoExotico
*
*/


class MamiferoExotico: public Mamifero, AnimalExotico {
	private:

	public:
		friend std::istream& operator>> (std::istream &input, MamiferoExotico &mamexo);
		void print(){
							 cout << "ID: " << id << endl;
							 cout << "Nome: " << nome << endl;
							 cout << "Classe: " << classe << endl;
							 cout << "Cientifico: " << cientifico << endl;
							 cout << "Sexo: " << sexo << endl;
							 cout << "Dieta: "<< dieta << endl;
							 cout << "Veterinario :" << veterinario << endl;
							 cout << "Tratador: " << tratador << endl;
							 cout << "Batismo: " << batismo << endl;
							 cout << "Cor do pelo: " << cor_pelo <<endl;
							 cout << "Ibama: "<< ibama << endl;
							 cout << "Pais de Origem: " << pais_origem << endl;
							};
		MamiferoExotico(int identity, string clas, string name, string scientific, char sex, float size,
    				string diet, string baptism, Veterinario* vet, Tratador* caretaker,
    				string fur_color, string biernr, string origin_country);
		~MamiferoExotico();

};

#endif
