#include "aveexotica.h"
#include <iostream>
#include <string>
#include <fstream>
#define CARACTER_SEPARADOR ';'
/**
* @brief Sobrecarga do operador de extração para animal do tipo AveExotica
* @param  input - stream de saida
*         aveexo - Objeto do tipo AveExotica
*
*/

std::istream& operator>> (std::istream &input, AveExotica &aveexo){
	string aux;
	getline (input,aux,CARACTER_SEPARADOR);
	aveexo.id = atoi(aux.c_str());
	getline (input,aux,CARACTER_SEPARADOR);
	aveexo.classe = aux;
	getline (input,aux,CARACTER_SEPARADOR);
	aveexo.nome = aux;
	getline (input,aux,CARACTER_SEPARADOR);
	aveexo.cientifico = aux;
	getline (input,aux,CARACTER_SEPARADOR);
	aveexo.sexo = aux;
	getline (input,aux,CARACTER_SEPARADOR);
	aveexo.tamanho = atoi(aux.c_str());
	getline (input,aux,CARACTER_SEPARADOR);
	aveexo.dieta = aux;
	// getline (input,aux,CARACTER_SEPARADOR);
	// aveexo.veterinario = atoi(aux.c_str());
	// getline (input,aux,CARACTER_SEPARADOR);
	// aveexo.tratador.id = atoi(aux.c_str());
	getline (input,aux,CARACTER_SEPARADOR);
	aveexo.batismo = aux ;
	getline (input,aux,CARACTER_SEPARADOR);
	aveexo.tamanho_bico = atoi(aux.c_str());
	getline (input,aux,CARACTER_SEPARADOR);
	aveexo.envergadura = atoi(aux.c_str());
	getline (input,aux,CARACTER_SEPARADOR);
	aveexo.ibama = aux;
	getline (input,aux);
	aveexo.pais_origem = aux;
	return input;
}

	/**
  * @brief Construtor cria um animal do tipo AveExotica, que toma Ave
  *        e AnimalExotico como classe pai a herdar seus atributos
  * @param identity - ID, clas - classe do animal, name - nome do animal, scientific - nome científico do animal,
  *					sex - sexo do animal, size - tamanho do animal, diet - dieta do animal,
  * 				baptism - nome de batismo do animal, vet - veterinário associado ao animal,
  *					caretaker - tratador associado ao animal, beak_size - tamanho do bico,
  *					wingspan - tamanho da envergadura, biernr - ibama, origin_country - pais de origem de animal
  */
AveExotica::AveExotica(int identity, string clas, string name, string scientific, char sex, float size,
        string diet, string baptism, Veterinario* vet, Tratador* caretaker,
        int beak_size, int wingspan, string biernr, string origin_country):

        Ave(identity, clas, name, scientific, sex, size, diet, baptism, vet, caretaker, beak_size, wingspan),
        AnimalExotico(biernr, origin_country)
        {}
				AveExotica::~AveExotica(){

	}
}
