#include "avenativa.h"

/**
* @brief Sobrecarga do operador de inserção para animal do tipo AveNativa
* @param  output - stream de saida
*         anfnat - Objeto do tipo AveNativa
*
*/

  /**
  * @brief Construtor cria um animal do tipo AveNativa, que toma Ave e AnimalNativo como classe pai a herdar seus atributos
  * @param identity - ID, clas - classe do animal, name - nome do animal, scientific - nome científico do animal,
  *					sex - sexo do animal, size - tamanho do animal, diet - dieta do animal,
  * 				baptism - nome de batismo do animal, vet - veterinário associado ao animal,
  *					caretaker - tratador associado ao animal, beak_size - tamanho do bico,
  *					wingspan - envergadura da asa, biernr - ibama, origin_state - estado de origem do animal,
  *         authorization - autorização do animal
  */
AveNativa::AveNativa(int identity, string clas, string name, string scientific, char sex, float size,
        string diet, string baptism, Veterinario* vet, Tratador* caretaker,int beak_size,
        int wingspan, string biernr, string origin_state, string authorization):

        Ave(identity, clas, name, scientific, sex, size, diet, baptism, vet, caretaker, beak_size, wingspan),
        AnimalNativo(biernr, origin_state, authorization)
        {}
					AveNativa::~AveNativa(){

	}
}




// std::ostream& operator<< (std::ostream &output, AveNativa const &avenat) {
// 	output << avenat.id >> ";" << avenat.classe << ";" << avenat.nome << ";" << avenat.cientifico << ";" <<
// 	 	avenat.sexo << ";" << avenat.tamanho << ";" << avenat.dieta << ";" << avenat.batismo  << ";" << avenat.veterinario
//      << ";" << avenat.tratador << ";" << avenat.tamanho_bico << ";" << avenat.envergadura << ";"
//      << avenat.ibama << ";" << avenat.uf_origem << ";" << avenat.autorizacao;
//
// 	return output;
//
// 	}
